Skip to main content
`Ctrl`+`K`
scipy.optimize.SR1.

# update

SR1.update(delta_x, delta_grad)

  Update internal matrix.

  Update Hessian matrix or its inverse (depending on how ‘approx_type’ is defined) using information about the last evaluated points.

  Parameters:
    delta_x ndarray

      The difference between two points the gradient function have been evaluated at: `delta_x = x2 - x1`.

    delta_grad ndarray

      The difference between the gradients: `delta_grad = grad(x2) - grad(x1)`.